### Method

# EDataCal CalBackend set_cache_dir

since: 2.32

#### Declaration [src]

    void
    e_cal_backend_set_cache_dir (
      ECalBackend* backend,
      const gchar* cache_dir
    )

#### Description [src]

Sets the cache directory path for use by `backend`.

Note that `ECalBackend` is initialized with a default cache directory path which should suffice for most cases. Backends should not override the default path without good reason.

Available since: 2.32

Sets property | `EDataCal.CalBackend:cache-dir`

#### Parameters

`cache_dir`

  Type: `const gchar*`

  A local cache directory path.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.